﻿using System.ComponentModel;
using System.Windows.Forms;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Data;
using System.Text;
using System.IO;
using System;

namespace DTor
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int velikost = 0;

        public void Enabling()
        {
            button2.Enabled = false;
            button3.Enabled = false;
            button4.Enabled = false;
            button5.Enabled = false;
            button10.Enabled = false;
            button8.Enabled = false;
            timer2.Enabled = true;
        }

        public void navrat()
        {
            zivoty.Size = new Size(velikost, this.zivoty.Size.Height);
            sila.Size = new Size(velikost, this.zivoty.Size.Height);
            vytrvalost.Size = new Size(velikost, this.zivoty.Size.Height);
            spokojenost.Size = new Size(velikost, this.zivoty.Size.Height);
            panel1.Visible = true;
            button1.Visible = true;
            try
            {
                FileStream fs = new FileStream("score.txt", FileMode.Append, FileAccess.Write, FileShare.None);
                StreamWriter sw = new StreamWriter(fs);
                sw.WriteLine("Dne " + DateTime.Now + " jsi dosáhl skóre " + maskedTextBox1.Text + " bodů!");
                sw.WriteLine("");
                sw.Close();
                fs.Close();
            }
            catch
            {
                FileStream fs = new FileStream("score.txt", FileMode.OpenOrCreate, FileAccess.Write, FileShare.None);
                StreamWriter sw = new StreamWriter(fs);
                sw.WriteLine(maskedTextBox1.Text);
                sw.WriteLine("");
                sw.Close();
                fs.Close();
            }
            maskedTextBox1.Text = "0";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            richTextBox1.Visible = false;
            button7.Visible = false;
            panel1.Visible = false;
            button1.Visible = false;
            button1.Location = new Point(270, 78);
            button6.Location = new Point(270, 157);
            numericUpDown1.Location = new Point(270, 239);
            label1.Location = new Point(289, 223);
            velikost = this.zivoty.Size.Width;
            timer1.Interval = int.Parse(numericUpDown1.Text);
            timer3.Interval = int.Parse(numericUpDown1.Text) + 800;
            timer1.Enabled = true;
            timer3.Enabled = true;
            pictureBox1.Image = Image.FromFile("hlavni.gif");
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (this.zivoty.Size.Width == 0)
            {
                navrat();
                timer1.Enabled = false;
            }
            else
            {
                zivoty.Size = new Size(this.zivoty.Size.Width - 1, this.zivoty.Size.Height);
                this.zivoty.Refresh();
            }

            if (this.spokojenost.Size.Width == 0)
            {
                navrat();
                timer1.Enabled = false;
            }
            else
            {
                spokojenost.Size = new Size(this.spokojenost.Size.Width - 1, this.spokojenost.Size.Height);
                this.zivoty.Refresh();
            }

            if (this.vytrvalost.Size.Width == 0)
            {
                navrat();
                timer1.Enabled = false;
            }
            else
            {
                vytrvalost.Size = new Size(this.vytrvalost.Size.Width - 1, this.vytrvalost.Size.Height);
                this.vytrvalost.Refresh();
            }

            if (this.sila.Size.Width == 0)
            {
                navrat();
                timer1.Enabled = false;
            }
            else
            {
                sila.Size = new Size(this.sila.Size.Width - 1, this.sila.Size.Height);
                this.sila.Refresh();
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            zivoty.Size = new Size(this.zivoty.Size.Width + 10, this.zivoty.Size.Height);
            spokojenost.Size = new Size(this.spokojenost.Size.Width + 5, this.spokojenost.Size.Height);
            pictureBox1.Image = Image.FromFile("eat.gif");
            Enabling();
        }

        private void timer2_Tick(object sender, EventArgs e)
        {
            pictureBox1.Image = Image.FromFile("hlavni.gif");
            button2.Enabled = true;
            button3.Enabled = true;
            button4.Enabled = true;
            button5.Enabled = true;
            button10.Enabled = true;
            button8.Enabled = true;
            timer2.Enabled = false;
        }

        private void timer3_Tick(object sender, EventArgs e)
        {
            if (timer1.Enabled == false)
                timer3.Enabled = false;
            else
                maskedTextBox1.Text = (float.Parse(maskedTextBox1.Text) + 5).ToString();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            sila.Size = new Size(this.sila.Size.Width + 10, this.sila.Size.Height);
            vytrvalost.Size = new Size(this.vytrvalost.Size.Width + 5, this.vytrvalost.Size.Height);
            pictureBox1.Image = Image.FromFile("sport.gif");
            Enabling();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            vytrvalost.Size = new Size(this.vytrvalost.Size.Width + 10, this.vytrvalost.Size.Height);
            sila.Size = new Size(this.sila.Size.Width + 5, this.sila.Size.Height);
            pictureBox1.Image = Image.FromFile("blbnout.gif");
            Enabling();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            spokojenost.Size = new Size(this.spokojenost.Size.Width + 10, this.spokojenost.Size.Height);
            zivoty.Size = new Size(this.zivoty.Size.Width + 5, this.zivoty.Size.Height);
            pictureBox1.Image = Image.FromFile("spat.gif");
            Enabling();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            if (button7.Visible == false)
            {
                button1.Location = new Point(27, 47);
                button6.Location = new Point(27, 117);
                numericUpDown1.Location = new Point(27, 187);
                label1.Location = new Point(46, 171);
                FileStream fs = new FileStream("score.txt", FileMode.OpenOrCreate);
                StreamReader tr = new StreamReader(fs);
                string slovo = "";
                int pismeno;

                while (tr.Peek() != -1)
                {
                    while (tr.Peek() != -1)
                    {
                        pismeno = tr.Read();
                        slovo += (char)pismeno;
                    }
                    richTextBox1.Text = slovo;
                    slovo = "";
                }
                fs.Close();
                richTextBox1.Visible = true;
                button7.Visible = true;
            }
            else
            {
                richTextBox1.Visible = false;
                button7.Visible = false;
                button1.Location = new Point(270, 78);
                button6.Location = new Point(270, 157);
                numericUpDown1.Location = new Point(270, 239);
                label1.Location = new Point(289, 223);
            }
        }

        private void button7_Click(object sender, EventArgs e)
        {
            try
            {
                FileStream fs = new FileStream("score.txt", FileMode.Truncate, FileAccess.Write, FileShare.None);
                fs.Close();
            }
            catch
            {
                FileStream fs = new FileStream("score.txt", FileMode.OpenOrCreate, FileAccess.Write, FileShare.None);
                fs.Close();
            }
            richTextBox1.Text = "";
        }

        private void button10_Click(object sender, EventArgs e)
        {
            spokojenost.Size = new Size(this.spokojenost.Size.Width + 20, this.spokojenost.Size.Height);
            vytrvalost.Size = new Size(this.vytrvalost.Size.Width - 5, this.vytrvalost.Size.Height);
            pictureBox1.Image = Image.FromFile("pc.gif");
            Enabling();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            sila.Size = new Size(this.sila.Size.Width + 20, this.sila.Size.Height);
            zivoty.Size = new Size(this.zivoty.Size.Width - 5, this.zivoty.Size.Height);
            pictureBox1.Image = Image.FromFile("hul.gif");
            Enabling();
        }

        private void button9_Click(object sender, EventArgs e)
        {
            timer1.Enabled = false;
            timer2.Enabled = false;
            timer3.Enabled = false;
            navrat();
        }

        private void button9_Click_1(object sender, EventArgs e)
        {
            timer1.Enabled = false;
            navrat();
        }

    }
}
